Bug 5554 - Update to 2.0.1
: Update to 2.0.1
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/vsftpd)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
: http://vsftpd.beasts.org
:
:
:
  Show dependency tree
 
Reported: 2004-11-23 01:45 by
Modified: 2006-08-26 01:31 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-11-23 01:45:33
- Add -lcrypto for the SSL build; needed for some systems! Thanks to Nelson 
Chang <nelsoncybernet@bigfoot.com>. 
- Oops; fix session bale out if an empty length password is given. 
- Fix build on Fedora Core 2 (-lcap cannot seem to find /lib/libcap.so). 
- Fix vsftpd.conf.5 man page error in "ssl_sslv3", thanks to Etienne Chevillard 
<echevillard@yahoo.fr>. 
- Clarify licensing: I allow linking of my GPL software with the OpenSSL 
libraries. Thanks to Jonas Bofjall <job@abc.se>. 
- Add COPYRIGHT. 
- Fix build on OpenBSD, FreeBSD, probably NetBSD too (they aren't SuSv2 
compliant; timezone should be a variable not a function). 
- Fix build where PAM build is enabled but PAM headers are missing. 
- Fix build on RHEL3 (remove errant include from twoprocess.c). 
Steps to Reproduce:
- 
Actual Results:  
New version
------- Comment #1 From 2004-11-23 12:25:52 -------
I won't hurry with this.  Do not expect soon upgrade.
------- Comment #2 From 2005-07-29 02:52:00 -------
Новая версия уже в сизифе